org.apache.fontbox.cff

## Enum CharStringCommand.Type2KeyWord

- java.lang.Object
- - java.lang.Enum<CharStringCommand.Type2KeyWord>
  - - org.apache.fontbox.cff.CharStringCommand.Type2KeyWord

All Implemented Interfaces:
  Serializable, Comparable<CharStringCommand.Type2KeyWord>

Enclosing class:
  CharStringCommand

    public static enum CharStringCommand.Type2KeyWord
    extends Enum<CharStringCommand.Type2KeyWord>

Enum of all valid type2 key words

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABS`
`ADD`
`AND`
`CALLGSUBR`
`CALLSUBR`
`CNTRMASK`
`DIV`
`DROP`
`DUP`
`ENDCHAR`
`EQ`
`ESCAPE`
`EXCH`
`FLEX`
`FLEX1`
`GET`
`HFLEX`
`HFLEX1`
`HHCURVETO`
`HINTMASK`
`HLINETO`
`HMOVETO`
`HSTEM`
`HSTEMHM`
`HVCURVETO`
`IFELSE`
`INDEX`
`MUL`
`NEG`
`NOT`
`OR`
`PUT`
`RANDOM`
`RCURVELINE`
`RET`
`RLINECURVE`
`RLINETO`
`RMOVETO`
`ROLL`
`RRCURVETO`
`SHORTINT`
`SQRT`
`SUB`
`VHCURVETO`
`VLINETO`
`VMOVETO`
`VSTEM`
`VSTEMHM`
`VVCURVETO`

### Method Summary

All Methods Static Methods Concrete Methods
`static CharStringCommand.Type2KeyWord` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CharStringCommand.Type2KeyWord` `valueOfKey(CharStringCommand.Key key)`
`static CharStringCommand.Type2KeyWord` `valueOfKey(int b0)`
`static CharStringCommand.Type2KeyWord` `valueOfKey(int b0, int b1)`
`static CharStringCommand.Type2KeyWord[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HSTEM

    public static final CharStringCommand.Type2KeyWord HSTEM

#### VSTEM

    public static final CharStringCommand.Type2KeyWord VSTEM

#### VMOVETO

    public static final CharStringCommand.Type2KeyWord VMOVETO

#### RLINETO

    public static final CharStringCommand.Type2KeyWord RLINETO

#### HLINETO

    public static final CharStringCommand.Type2KeyWord HLINETO

#### VLINETO

    public static final CharStringCommand.Type2KeyWord VLINETO

#### RRCURVETO

    public static final CharStringCommand.Type2KeyWord RRCURVETO

#### CALLSUBR

    public static final CharStringCommand.Type2KeyWord CALLSUBR

#### RET

    public static final CharStringCommand.Type2KeyWord RET

#### ESCAPE

    public static final CharStringCommand.Type2KeyWord ESCAPE

#### AND

    public static final CharStringCommand.Type2KeyWord AND

#### OR

    public static final CharStringCommand.Type2KeyWord OR

#### NOT

    public static final CharStringCommand.Type2KeyWord NOT

#### ABS

    public static final CharStringCommand.Type2KeyWord ABS

#### ADD

    public static final CharStringCommand.Type2KeyWord ADD

#### SUB

    public static final CharStringCommand.Type2KeyWord SUB

#### DIV

    public static final CharStringCommand.Type2KeyWord DIV

#### NEG

    public static final CharStringCommand.Type2KeyWord NEG

#### EQ

    public static final CharStringCommand.Type2KeyWord EQ

#### DROP

    public static final CharStringCommand.Type2KeyWord DROP

#### PUT

    public static final CharStringCommand.Type2KeyWord PUT

#### GET

    public static final CharStringCommand.Type2KeyWord GET

#### IFELSE

    public static final CharStringCommand.Type2KeyWord IFELSE

#### RANDOM

    public static final CharStringCommand.Type2KeyWord RANDOM

#### MUL

    public static final CharStringCommand.Type2KeyWord MUL

#### SQRT

    public static final CharStringCommand.Type2KeyWord SQRT

#### DUP

    public static final CharStringCommand.Type2KeyWord DUP

#### EXCH

    public static final CharStringCommand.Type2KeyWord EXCH

#### INDEX

    public static final CharStringCommand.Type2KeyWord INDEX

#### ROLL

    public static final CharStringCommand.Type2KeyWord ROLL

#### HFLEX

    public static final CharStringCommand.Type2KeyWord HFLEX

#### FLEX

    public static final CharStringCommand.Type2KeyWord FLEX

#### HFLEX1

    public static final CharStringCommand.Type2KeyWord HFLEX1

#### FLEX1

    public static final CharStringCommand.Type2KeyWord FLEX1

#### ENDCHAR

    public static final CharStringCommand.Type2KeyWord ENDCHAR

#### HSTEMHM

    public static final CharStringCommand.Type2KeyWord HSTEMHM

#### HINTMASK

    public static final CharStringCommand.Type2KeyWord HINTMASK

#### CNTRMASK

    public static final CharStringCommand.Type2KeyWord CNTRMASK

#### RMOVETO

    public static final CharStringCommand.Type2KeyWord RMOVETO

#### HMOVETO

    public static final CharStringCommand.Type2KeyWord HMOVETO

#### VSTEMHM

    public static final CharStringCommand.Type2KeyWord VSTEMHM

#### RCURVELINE

    public static final CharStringCommand.Type2KeyWord RCURVELINE

#### RLINECURVE

    public static final CharStringCommand.Type2KeyWord RLINECURVE

#### VVCURVETO

    public static final CharStringCommand.Type2KeyWord VVCURVETO

#### HHCURVETO

    public static final CharStringCommand.Type2KeyWord HHCURVETO

#### SHORTINT

    public static final CharStringCommand.Type2KeyWord SHORTINT

#### CALLGSUBR

    public static final CharStringCommand.Type2KeyWord CALLGSUBR

#### VHCURVETO

    public static final CharStringCommand.Type2KeyWord VHCURVETO

#### HVCURVETO

    public static final CharStringCommand.Type2KeyWord HVCURVETO

### Method Detail

#### values

    public static CharStringCommand.Type2KeyWord[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CharStringCommand.Type2KeyWord c : CharStringCommand.Type2KeyWord.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CharStringCommand.Type2KeyWord valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOfKey

    public static CharStringCommand.Type2KeyWord valueOfKey(int b0)

#### valueOfKey

    public static CharStringCommand.Type2KeyWord valueOfKey(int b0,
                                                            int b1)

#### valueOfKey

    public static CharStringCommand.Type2KeyWord valueOfKey(CharStringCommand.Key key)